Subject: Re: [PATCH] meson: disable PCRE2 dependency by default

From: "brian m. carlson" <[email-masked]>
Date: Sat, 12 Jul 2025 17:51:55 +0000

On 2025-07-12 at 17:26:15, Carlo Marcelo Arenas Belón wrote:
> Makefile requires the user to provide the USE_LIBPCRE2 flag to
> enable this dependency, but meson has it enabled by default,
> which can be problematic, at least in macOS.
> 
> While a popular option and matching what was done by cmake
> (which itself reflects what is preferred by Git for Windows)
> could result in a broken build or linking with the wrong PCRE2
> library.
> 
> While not git's fault, macOS provides a PCRE2 library in base
> that is not usable (even if it would pass the test) and not
> configured properly, as it installs a pkgconf module that
> points to a non existent pcre2.h header in /usr/local/include.
> 
> Change the default to off, and let the user enable it once a
> proper dependency is installed or meson instructed to fallback to
> the wrap.

Can we disable it by default on macOS instead of everywhere?  For most
builds on Linux, the system libpcre2 is the right one and users will
expect to find PCRE support by default.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA